### Enumeration

# RB SourceEOFType

#### Declaration

    enum RB.SourceEOFType

#### Description

No description available.

#### Members

`RB_SOURCE_EOF_ERROR`

  No description available.

  - Value: `0`
  - Available since: 3.0
`RB_SOURCE_EOF_STOP`

  No description available.

  - Value: `1`
  - Available since: 3.0
`RB_SOURCE_EOF_RETRY`

  No description available.

  - Value: `2`
  - Available since: 3.0
`RB_SOURCE_EOF_NEXT`

  No description available.

  - Value: `3`
  - Available since: 3.0